Subject: Re: problem of port rtlinux3.0 for mpc to 2.2.13 kernel

From: Cort Dougan <[email-masked]>
Date: Thu, 23 Mar 2000 13:28:59 -0700

You're going to have trouble porting rtlinux3.0 to a 2.2 kernel.  It was
designed around 2.3 and we haven't backported it to 2.2 yet.  If there's
enough interest we may do that, though.

Would you be willing to give 2.3.x a try?

}     these days I have do some working for port rtlinux3.0 for mpc860 to 2.2.13 kernel. I has modified the __cli __sti etc, and the kernle is runing ok in our embed 860 board. but when I insmod the rtl.o the kernel killed the process by SIGSEGV "pid 7: killed (signal 11)". I have traced the kernel ,and find when in function "do_page_fault" to call "find_vma", but no vma can finded.
}     anybody has good advie for this problem.
}

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/